MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0023747Open CASCADE[OCCT] OCCT:Visualizationpublic2013-02-08 14:242013-04-29 15:23
Reportersan 
Assigned Tosan 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformAOSLOS VersionL
Product Version[OCCT] 6.5.4 
Target Version[OCCT] 6.6.0Fixed in Version[OCCT] 6.6.0 
Summary0023747: Enabling environment mapping breaks text rendering
DescriptionWhen environment mapping is enabled in a 3D view using V3d_View::SetSurfaceDetail(V3d_TEX_ENVIRONMENT) call, text rendering gets broken and all text previously displayed disappears.
After disabling environment mapping with V3d_View::SetSurfaceDetail(V3d_TEX_NONE) text appears again.

vtextureenv DRAW command for reproducing the bug pushed to branch CR23747.
Steps To Reproducevinit
vtrihedron t
box b 10 20 30
vdisplay b
vfit
vzoom 0.25 # To fit the labels into the view
vsetdispmode b 1
vtextureenv 1 7 # Result - text labels at trihedron axes disappear
vtextureenv 0 # Result - text labels appear again
TagsNo tags attached.
Test case numberbugs vis(004) bug23747_1, bug23747_2
Attached Filespng file icon 23747_with_labels.png (2,608 bytes) 2013-02-08 14:52
png file icon 23747_no_labels.png (8,996 bytes) 2013-02-08 14:52

- Relationships
related to 0023457closedkgv Community Slow text rendering 

-  Notes
(0023296)
san (developer)
2013-02-08 17:52

Corrected by the patch for 0023457, DRAW command and test case to be integrated after 0023457 is merged into Git master.
(0023502)
san (developer)
2013-02-27 13:26
edited on: 2013-02-27 20:27

vtextureenv DRAW command and two test cases (bugs vis bug23747_1, bugs vis bug23747_2) have been pushed to the Git repository.
Branch CR23747 is ready for reviewing.

(0023507)
san (developer)
2013-02-27 17:03

Additional corrections applied, please review.
(0023508)
kgv (developer)
2013-02-27 17:14

Reviewed without remarks
(0023535)
mkv (tester)
2013-02-28 17:29

Dear BugMaster,

Branch CR23747 (and products from GIT master) was compiled on Linux and Windows platforms and tested.
SHA-1: 735317d4cecc337ad7e7073f2691baffc46215d5

Number of compiler warnings:

occt component :
Linux: 3 (3 on master)
Windows: 39 (39 on master)

products component :
Linux: 9 (9 on master)
Windows: 50 (50 on master)

Regressions:
No regressions

Improvements:
No improvements

Testing cases:
bugs vis(004) bug23747_1, bug23747_2 - OK.

Testing on Linux:
Total MEMORY difference: 237945960 / 239578292
Total CPU difference: 26135.9499999999 / 16225.379999999803

Testing on Windows:
Total MEMORY difference: 343102016 / 343418836
Total CPU difference: 16870.171875 / 16608.765625

There are not serious differences in images found by testdiff.

- Related Changesets
occt: master 269294d6
Timestamp: 2013-03-01 10:14:34
Author: san
Details ] Diff ]
0023747: Enabling environment mapping breaks text rendering

vtextureenv command added to reproduce the bug
Two test cases using vtextureenv command added:
bug23747_1 - checks that environment mapping does not break text rendering
bug23747_2 - tests environment mapping in general
vtextureenv command improved:
- User-friendly option names supported instead of integer values
- Better input arguments check implemented
mod - src/ViewerTest/ViewerTest_ViewerCommands.cxx Diff ] File ]
add - tests/bugs/vis/bug23747_1 Diff ] File ]
add - tests/bugs/vis/bug23747_2 Diff ] File ]

- Issue History
Date Modified Username Field Change
2013-02-08 14:24 san New Issue
2013-02-08 14:24 san Assigned To => san
2013-02-08 14:52 san File Added: 23747_with_labels.png
2013-02-08 14:52 san File Added: 23747_no_labels.png
2013-02-08 14:59 san Description Updated View Revisions
2013-02-08 15:01 san Relationship added related to 0023457
2013-02-08 15:21 san Steps to Reproduce Updated View Revisions
2013-02-08 17:52 san Note Added: 0023296
2013-02-08 17:52 san Status new => assigned
2013-02-27 13:26 san Note Added: 0023502
2013-02-27 13:26 san Assigned To san => kgv
2013-02-27 13:26 san Status assigned => resolved
2013-02-27 13:26 san Target Version => 6.6.0
2013-02-27 13:26 san Steps to Reproduce Updated View Revisions
2013-02-27 14:17 san Assigned To kgv => san
2013-02-27 14:17 san Status resolved => assigned
2013-02-27 17:03 san Note Added: 0023507
2013-02-27 17:03 san Assigned To san => kgv
2013-02-27 17:03 san Status assigned => resolved
2013-02-27 17:14 kgv Note Added: 0023508
2013-02-27 17:14 kgv Assigned To kgv => bugmaster
2013-02-27 17:14 kgv Status resolved => reviewed
2013-02-27 18:55 mkv Assigned To bugmaster => mkv
2013-02-27 20:27 san Note Edited: 0023502 View Revisions
2013-02-28 17:29 mkv Note Added: 0023535
2013-02-28 17:30 mkv Test case number => bugs vis(004) bug23747_1, bug23747_2
2013-02-28 17:30 mkv Assigned To mkv => bugmaster
2013-02-28 17:30 mkv Status reviewed => tested
2013-03-04 17:32 san Changeset attached => occt master 269294d6
2013-03-04 17:32 san Assigned To bugmaster => san
2013-03-04 17:32 san Status tested => verified
2013-03-04 17:32 san Resolution open => fixed
2013-04-23 13:35 aiv Status verified => closed
2013-04-29 15:23 aiv Fixed in Version => 6.6.0


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker